cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/creative_works/v1/{creative_work_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"creative_work_id": "<string>",
"creative_work_update": {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/creative_works/v1/{creative_work_id}"
payload = {
"creative_work_id": "<string>",
"creative_work_update": {
"project_id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": ["<string>"],
"fields": {},
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
creative_work_id: '<string>',
creative_work_update: {
project_id: '<string>',
type_id: '<string>',
title: '<string>',
description: '<string>',
release_time: '2023-11-07T05:31:56Z',
thumbnail_asset_id: '<string>',
poster_asset_id: '<string>',
video_ids: ['<string>'],
fields: {},
localized_title: {},
localized_description: {},
localized_thumbnail_asset_id: {},
localized_poster_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/creative_works/v1/{creative_work_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creative_work": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"title": "<string>",
"description": "<string>",
"release_time": "2023-11-07T05:31:56Z",
"thumbnail_asset_id": "<string>",
"poster_asset_id": "<string>",
"video_ids": [
"<string>"
],
"fields": {},
"create_time": "2023-11-07T05:31:56Z",
"localized_title": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"localized_poster_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Creative Works
Update creative work
UpdateCreativeWork
Updates existing creative work.
PATCH
/
cms
/
creative_works
/
v1
/
{creative_work_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
A creative work describes any kind of creative video content that does not have a start/end time (unlike an event).
Show child attributes
Show child attributes
⌘I

